<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.DataTableFieldMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.DataTableField">
        <id column="field_id" property="fieldId" />
        <result column="create_time" property="createTime" />
        <result column="table_id" property="tableId" />
        <result column="field_order" property="fieldOrder" />
        <result column="field_type" property="fieldType" />
        <result column="field_name" property="fieldName" />
        <result column="field_length" property="fieldLength" />
        <result column="field_remark" property="fieldRemark" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, field_id, table_id, field_order, field_type, field_name, field_length, field_remark, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
